package market.Cm.mapper;
import java.util.List;

import market.Cm.vo.CmCostDstGrind;
import market.Mes.Dev.vo.DevBladeGrinding;
import market.Mes.Dev.vo.DevRollerGrinding;

import com.hnshituo.orm.GenericMapper;

public interface CmCostDstGrindMapper extends GenericMapper<CmCostDstGrind,Object> {

	List<DevBladeGrinding> doQueryWeb(String startTime, String endTime);

	List<DevRollerGrinding> doQueryWeb2(String startTime, String endTime);

	void deleteCmCostDstGrindByPrdnum(String prd_num, String string);

	void doDelete(String org_code, String item_code, String grp_code,
			String machine_code, String string);

	Double doSumTan(String string, String string2, String org_code);
	
	//获取本期的实际用量和实际成本
	public List<CmCostDstGrind> doQuaryCcdgForCrcm(CmCostDstGrind ccdg);
	
	//获取本年的实际用量和实际成本
	public List<CmCostDstGrind> doQuaryTotalCcdgForCrcm(CmCostDstGrind ccdg);
	
	//获取同期的实际用量和实际成本
	public List<CmCostDstGrind> doQuarySameCcdgForCrcm(CmCostDstGrind ccdg);
	
	//获取同期的累计用量和累计成本
	public List<CmCostDstGrind> doQuarySameTotalCcdgForCrcm(CmCostDstGrind ccdg);
	
}
